[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# DoneKeyboard

Deactivate keyboard driver.

## Declaration

Source position: keybrdh.inc line 145

`procedure DoneKeyboard;`

## Description

DoneKeyboard de-initializes the keyboard interface if the keyboard driver is active. If the keyboard driver is not active, the function does nothing.

This will cause the keyboard driver to clear up any allocated memory, or restores the console or terminal the program was running in to its initial state before the call to InitKeyBoard. This function should be called on program exit. Failing to do so may leave the terminal or console window in an unusable state. Its exact action depends on the platform on which the program is running.

On Unix the default keyboard driver restores the line ending of system.output to #10.

For an example, see most other functions.

## Errors

None.

## See also

InitKeyBoard |  | Initialize the keyboard driver.